## as-enums as-enums — Some enums used by various other modules |

## Functions

const gchar * | as_url_kind_to_string ()
AsUrlKind | as_url_kind_from_string ()
const gchar * | as_bundle_kind_to_string ()
AsBundleKind | as_bundle_kind_from_string ()
const gchar * | as_urgency_kind_to_string ()
AsUrgencyKind | as_urgency_kind_from_string ()

## Types and Values

enum | AsUrlKind
enum | AsBundleKind
enum | AsUrgencyKind

## Includes

    #include <appstream.h>

## Description

## Functions

### as_url_kind_to_string ()

    const gchar *
    as_url_kind_to_string (AsUrlKind url_kind);

Converts the enumerated value to an text representation.

#### Parameters

url_kind | the `AsUrlKind`. |

#### Returns

string version of `url_kind`

### as_url_kind_from_string ()

    AsUrlKind
    as_url_kind_from_string (const gchar *url_kind);

Converts the text representation to an enumerated value.

#### Parameters

url_kind | the string. |

#### Returns

a AsUrlKind or `AS_URL_KIND_UNKNOWN` for unknown

### as_bundle_kind_to_string ()

    const gchar *
    as_bundle_kind_to_string (AsBundleKind bundle_kind);

Converts the enumerated value to an text representation.

#### Parameters

bundle_kind | the `AsBundleKind`. |

#### Returns

string version of `bundle_kind`

Since: 0.8.0

### as_bundle_kind_from_string ()

    AsBundleKind
    as_bundle_kind_from_string (const gchar *bundle_kind);

Converts the text representation to an enumerated value.

#### Parameters

bundle_kind | the string. |

#### Returns

a AsBundleKind or `AS_BUNDLE_KIND_UNKNOWN` for unknown

### as_urgency_kind_to_string ()

    const gchar *
    as_urgency_kind_to_string (AsUrgencyKind urgency_kind);

Converts the enumerated value to an text representation.

#### Parameters

urgency_kind | the `AsUrgencyKind`. |

#### Returns

string version of `urgency_kind`

Since: 0.6.5

### as_urgency_kind_from_string ()

    AsUrgencyKind
    as_urgency_kind_from_string (const gchar *urgency_kind);

Converts the text representation to an enumerated value.

#### Parameters

urgency_kind | the string. |

#### Returns

a `AsUrgencyKind` or `AS_URGENCY_KIND_UNKNOWN` for unknown

Since: 0.6.5

## Types and Values

### enum AsUrlKind

The URL type.

#### Members

AS_URL_KIND_UNKNOWN | Type invalid or not known |
AS_URL_KIND_HOMEPAGE | Project homepage |
AS_URL_KIND_BUGTRACKER | Bugtracker |
AS_URL_KIND_FAQ | FAQ page |
AS_URL_KIND_HELP | Help manual |
AS_URL_KIND_DONATION | Page with information about how to donate to the project |

### enum AsBundleKind

The bundle type.

#### Members

AS_BUNDLE_KIND_UNKNOWN | Type invalid or not known |
AS_BUNDLE_KIND_LIMBA | A Limba bundle |
AS_BUNDLE_KIND_XDG_APP | An xdg-app bundle |

### enum AsUrgencyKind

The urgency of an AsRelease

#### Members

AS_URGENCY_KIND_UNKNOWN | Urgency is unknown or not set |
AS_URGENCY_KIND_LOW | Low urgency |
AS_URGENCY_KIND_MEDIUM | Medium urgency |
AS_URGENCY_KIND_HIGH | High urgency |
AS_URGENCY_KIND_CRITICAL | Critical urgency |